Activity attendees
The activity attendees resource represents a relationship between an activity, and it's attendee's as contacts.
Activity attendee object
{
"id": "0198ae1d-6aca-76eb-b4e1-3692813e4815",
"tenant": "01988bb8-1cfb-7c87-9326-93op0349288e",
"activity": "0198ae1d-6976-72d2-91cf-d56b90c71b05",
"contact": "0198a445-b942-74e9-a722-dkm459xvx3m2",
"created_at": "2025-08-15 14:23:40"
}
Fields
- idrequired readonly stringUnique ID of the record.
- tenantrequired readonly stringUnique ID of the tenant.
- activityrequired stringUnique ID of the activity.
- contactrequired stringAttendee's unique contact ID.
- created_atrequired readonly stringUTC timestamp of when the record was created.
Add attendee to activity
POST /tenants/{tenantId}/activity-attendees
The request body must include an activity attendee object.
Required permissions
activities:update contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 201 | Created | Successfully created | Activity attendee object |
| 400 | Bad Request | Invalid or missing field(s) | Error object |
| 404 | Not Found | Tenant not found | Error object |
List activity attendees
GET /tenants/{tenantId}/activity-attendees
Required permissions
activities:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | An associative array of activity attendee objects | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant not found | Error object |
Read an activity attendee
GET /tenants/{tenantId}/activity-attendees/{id}
Required permissions
activities:read contacts:read
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 200 | OK | Activity attendee object | |
| 400 | Bad Request | Invalid parameters in the request query | Error object |
| 404 | Not Found | Tenant or activity attendee ID not found | Error object |
Remove attendee from activity
DELETE /tenants/{tenantId}/activity-attendees/{id}
Required permissions
activities:update
Response
| HTTP status | Title | Description | Schema |
|---|---|---|---|
| 204 | No content | Successfully removed | |
| 404 | Not Found | Tenant ID not found | Error object |
Was this page helpful?